/*
вывод температуры 
пример с мультиязычностью
*/
$(function() {
    $.i18n.add('mosaic.temperature3', {  
        "ru" : {
            ctitle : "Температура 3",
            title : "Заголовок",
            temperature : "Температура",
            text : "Текст на языке"
        }
    })

    Widget.temperature3= Widget.extend({
        config : { 
            title :  $.tr('mosaic.temperature3.ctitle', 'Temperature 3'),
            fields : {
                title : {
                    datatype : "string",
                    title : $.tr('mosaic.temperature3.title', 'Title')
                }   
            },
            objects : {
                temperature : {
                    datatype : dt.float32, 
                    title : $.tr('mosaic.temperature3.temperature', 'Temperature'),
                }
            },
            settings : {}             
        }
    })

    WidgetView.temperature3 = WidgetView.extend({
         width : 3, 
         height : 2,   
         template: _.template(" \
            <div class=\"widget  widget_tmprt t3\"> \
                <div class=\"widget-title widget-title_conditioner\"> \
                    <div class=\"txt\"><%=title() || ctitle()%></div> \
                </div> \
                <div  class=\"temperature\"> \
                    <span class=\"value\"> \
                        <span class=\"value-target\"><%=Number(getValue('temperature') || 25).toFixed(1)%></span> <span class=\"sup\">o</span>C \
                    </span> \
                    <span class=\"text\" data-tr-key=\"mosaic.temperature3.text\">Text in language</text> \
                </div> \
            </div> \
        "),
    })
})